### Hierarchy

- NavigationService
  - WindowService
  - MockNavigationService
  - XFNavigationService

## Index

### Constructors

- constructor

### Properties

- app

### Accessors

- location
- title

### Methods

- alert
- back
- confirm
- navigate
- notify
- openPage
- openWindow
- refresh
- registerNavigationHook
- remove

## Constructors

### constructor

- new NavigationService(app: App): NavigationService

- - Defined in services/NavigationService.ts:35

  #### Parameters

  - ##### app: App

  #### Returns NavigationService

## Properties

### app

app: App

- Defined in services/NavigationService.ts:37

## Accessors

### location

- get location(): AtomUri
- set location(v: AtomUri): any

- - Defined in services/NavigationService.ts:107

  #### Returns AtomUri

- - Defined in services/NavigationService.ts:108

  #### Parameters

  - ##### v: AtomUri

  #### Returns any

### title

- get title(): string
- set title(v: string): any

- - Defined in services/NavigationService.ts:104

  #### Returns string

- - Defined in services/NavigationService.ts:105

  #### Parameters

  - ##### v: string

  #### Returns any

## Methods

### Abstract alert

- alert(message: string | FormattedString, title?: string): Promise<any>

- - Defined in services/NavigationService.ts:41

  #### Parameters

  - ##### message: string | FormattedString

  - ##### Optional title: string

  #### Returns Promise<any>

### Abstract back

- back(): void

- - Defined in services/NavigationService.ts:112

  #### Returns void

### Abstract confirm

- confirm(message: string | FormattedString, title?: string): Promise<boolean>

- - Defined in services/NavigationService.ts:42

  #### Parameters

  - ##### message: string | FormattedString

  - ##### Optional title: string

  #### Returns Promise<boolean>

### Abstract navigate

- navigate(url: string): void

- - Defined in services/NavigationService.ts:110

  #### Parameters

  - ##### url: string

  #### Returns void

### Abstract notify

- notify(message: string | FormattedString, title?: string, type?: NotifyType, delay?: number): void

- - Defined in services/NavigationService.ts:102

  #### Parameters

  - ##### message: string | FormattedString

  - ##### Optional title: string

  - ##### Optional type: NotifyType

  - ##### Optional delay: number

  #### Returns void

### openPage

- openPage<T>(pageName: string | any, p?: INameValuePairs, options?: IPageOptions): Promise<T>

- - Defined in services/NavigationService.ts:50

  #### Type parameters

  - #### T

  #### Parameters

  - ##### pageName: string | any

    url

  - ##### Optional p: INameValuePairs

    parameters

  - ##### Optional options: IPageOptions

    target, clearHistory, cancelToken

  #### Returns Promise<T>

### Protected Abstract openWindow

- openWindow<T>(url: AtomUri, options: IPageOptions): Promise<T>

- - Defined in services/NavigationService.ts:146

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: AtomUri

  - ##### options: IPageOptions

  #### Returns Promise<T>

### Abstract refresh

- refresh(): void

- - Defined in services/NavigationService.ts:114

  #### Returns void

### registerNavigationHook

- registerNavigationHook(callback: navigateCallback): IDisposable

- - Defined in services/NavigationService.ts:137

  #### Parameters

  - ##### callback: navigateCallback

  #### Returns IDisposable

### remove

- remove(view: object, force?: boolean): Promise<boolean>

- - Defined in services/NavigationService.ts:123

  Sends signal to remove window/popup/frame, it will not immediately remove, because it will identify whether it can remove or not by displaying cancellation warning. Only if there is no cancellation warning or user chooses to force close, it will not remove.

  #### Parameters

  - ##### view: object

  - ##### Optional force: boolean

  #### Returns Promise<boolean>

  true if view was removed successfully

Generated using TypeDoc